package cn.iocoder.yudao.module.order.vo.batchOrderFeeApply;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 批量费用申请 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BatchOrderFeeApplyBaseVO {

    @ApiModelProperty(value = "编号", required = true)
    private String no;

    @ApiModelProperty(value = "申请详情", required = true)
    private String details;

    @ApiModelProperty(value = "原因")
    private String reason;

    @ApiModelProperty(value = "状态：0 已取消 1 申请中 2 已通过 3 已驳回")
    private Integer state;

    @ApiModelProperty("批量申请详情信息")
    private BatchApplyDetailsInfoVO batchApplyDetailsInfoVO;

}
