package cn.iocoder.yudao.module.order.vo.batchOrderFeeApply;

import cn.iocoder.yudao.module.order.dto.OrderBackInfoDto;
import cn.iocoder.yudao.module.order.vo.order.OrderBackVO;
import cn.iocoder.yudao.module.order.vo.orderFeeApplication.OrderFeeApplicationCreateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("订单费用明细")
public class BatchOrderFeeDetailsVO {

    @ApiModelProperty("订单ID")
    private Long orderId;

    @ApiModelProperty("订单详情")
    private OrderBackInfoDto orderBackVO;

    @ApiModelProperty("订单费用申请详情(数据格式同步参考订单费用申请功能页面)")
    private List<OrderFeeApplicationCreateReqVO> orderFeeApplicationBaseVOList;
}
