package cn.iocoder.yudao.module.order.vo.orderSplit;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Data
@ToString
@EqualsAndHashCode
@ApiModel("管理后台 - 订单拆单申请/撤销拆单申请 Request VO")
public class OrderSplitApplyReqVO {

    @ApiModelProperty(value = "订单ID", required = true)
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty(value = "抄送人userId")
    private String[] copyUserId;



    /**
     * 校验订单是否已经排单
     */
    private boolean checkOrderScheduling = true;
}
