package cn.iocoder.yudao.module.order.convert.batchOrderFeeApply;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.batchOrderFeeApply.*;
import cn.iocoder.yudao.module.order.dal.dataobject.batchOrderFeeApply.BatchOrderFeeApplyDO;

/**
 * 批量费用申请 Convert
 * @author 系统管理员
 */
@Mapper
public interface BatchOrderFeeApplyConvert {
    /*****转换MapStruct*****/
    BatchOrderFeeApplyConvert INSTANCE = Mappers.getMapper(BatchOrderFeeApplyConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BatchOrderFeeApplyDO convert(BatchOrderFeeApplyCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BatchOrderFeeApplyDO convert(BatchOrderFeeApplyUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BatchOrderFeeApplyBackVO convert(BatchOrderFeeApplyDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BatchOrderFeeApplyBackVO> convertList(List<BatchOrderFeeApplyDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BatchOrderFeeApplyBackVO> convertPage(PageResult<BatchOrderFeeApplyDO> page);
}
